#Contato {
    width: 100vw;
    height: 100vh;
    background-color: #000000bf;
    padding: 10px;
}

.contato-container,
.contato-content {
    margin-top: 1rem;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 1.5rem;
}

.contato-text {
    width: 70%;
    height: 100%;
    color: white;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 3rem;
    padding: 10px;
}

.contato-text h1 {
    font-size: 1.4vw;
    letter-spacing: 15px;
    font-weight: 300;
}

.contato-text h2 {
    font-size: 3vw;
    letter-spacing: 1px;
}

.contato-icon-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: justify;
}

.contato-item {
    display: flex;
    gap: 0.5rem;
    padding: 5px;
}

.icon i {
    border: solid 1px white;
    padding: 5px;
    border-radius: 20px;
}

.icon-description p {
    font-size: 1rem;
    font-weight: 400;
}


.form-content {
    width: 40%;
    height: 70%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 3rem 3rem;
    border-radius: 25px;
    background-color: #00000057;
    box-sizing: border-box;
    border-width: inherit;
    line-height: 1.5rem;
}
#name,
#telefone,
#Mensagem,
#Assunto,
#Email {
    width: 100%;
    height: auto;
    padding: 20px;
    background-color: transparent;
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: #1A1E23;
    border-radius: 0px 0px 0px 0px;
    resize: vertical;
    overflow-y: hidden;
    color: aliceblue;
}

#btn-form {
    margin-top: 2rem;
    padding: 1rem;
    width: 100%;
    letter-spacing: 5px;
    border-radius: 15px;
    font-size: 1rem;
    background-color: #f1f1f1f1;
    cursor: pointer;
}

#btn-form:hover {
    background-color: gray;
    color: #f1f1f1f1;
    transition: all 500ms ease-in-out;
}

@media (min-width:100px) and (max-width:1097px) {
    #Contato {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .contato-container,
    .contato-content {
        padding-top: 5rem;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 4rem;
        padding: 0px;
    }
    .contato-text {
        margin-top: 2rem;
        width: 100%;
        height: auto;
        padding: 10px;
        flex-wrap: wrap;
        gap: 1rem;
    }
    .contato-text h1 {
        font-size: 1.4rem;
        letter-spacing: 10px;
    }
    .contato-text h2 {
        font-size: 2rem;
        letter-spacing: 1px;
    }
    .contato-text p {
        font-size: 1rem;
    }
    .contato-icon-container {
        width: auto;

    }
    .contato-item {
        gap: 0.1rem;

    }
    .form-content {
        width: 80%;
        height: 100%;
        display: flex;
        justify-content: center;
        flex-direction: column;
        column-gap: 2rem;
    }

    #name,
    #telefone,
    #Mensagem,
    #Assunto,
    #Email {
        width: 80%;
        height: auto;
    }

}

@media (min-width:461px) and (max-width:600px) {
    #Contato {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .contato-container,
    .contato-content {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 0.5rem;
    }
    .contato-text {
        height: 100%;
        width: 100%;
        gap: 1rem;
    }
    .contato-text h1 {
        font-size: 1.4vw;
        letter-spacing: 10px;
    }
    .contato-text h2 {
        font-size: 2.5vw;
        letter-spacing: 1px;
    }
    .contato-text p {
        font-size: 1.5vw;
    }
    .icon-description h4{
        font-size: 1rem;
    }
    .icon-description p{
        font-size: 0.5rem;
    }
    .contato-icon-container {
        width: auto;
    }
    .contato-item {
        gap: 0.1rem;
    }

}

@media (min-width:341px) and (max-width:460px) {
    #Contato {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 0px;
    }
    .contato-container,
    .contato-content {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 1rem;
        padding: 10px;
    }
    .contato-text {
        height: 100%;
        width: auto;
        gap: 0.5rem;
        padding: 5px;
    }
    .contato-text h1 {
        font-size: 1rem;
        letter-spacing: 10px;
    }
    .contato-text h2 {
        font-size: 1.5rem;
        letter-spacing: 1px;
    }
    .contato-text p {
        font-size: 1.4vw;
    }
    .icon-description h4{
        font-size: 1rem;
    }
    .icon-description p{
        font-size: 0.5rem;
    }
    
    .icon-description p{
        font-size: 0.5rem;
    }
    .contato-icon-container {
        width: auto;
    }
    .contato-item {
        gap: 0.1rem;
    }
    .form-content{
        width: 90%;
        height: 60%;
    }
}

@media (min-width:320px) and (max-width:340px) {
    #Contato {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .contato-container,
    .contato-content {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 1rem;
    }
    .contato-container{
        width: 100%;
        height: auto;
    }
    .contato-text {
        width: 100%;
        height: auto;
        padding: 20px;
        gap: 0.5rem;
    }
    .contato-text h1 {
        font-size: 1rem;
        letter-spacing: 10px;
    }
    .contato-text h2 {
        font-size: 1.5rem;
        letter-spacing: 1px;
    }
    .contato-text p {
        font-size: 0.90rem;
    }
    .icon-description h4{
        font-size: 0.9rem;
    }
    .icon-description p{
        font-size: 0.6rem;
    }
    .icon-description p{
        font-size: 0.5rem;
    }
    .contato-icon-container {
        width: 60%;
    }
    .contato-item {
        gap: 0.1rem;
    }
    .form-content{
        width: 90%;
        height: 40%;
    }

}

